## NAME

r.basins.fill - Generates watershed subbasins raster map.

## KEYWORDS

raster, hydrology

## SYNOPSIS

r.basins.fill
r.basins.fill help
r.basins.fill c_map=name t_map=name result=name number=integer [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

c_map=name
  Name of input coded stream network raster map
t_map=name
  Name of input thinned ridge network raster map
result=name
  Name for output raster map
number=integer
  Number of passes through the dataset

## DESCRIPTION

r.basins.fill generates a raster map layer depicting subbasins, based on input raster map layers for the coded stream network (where each channel segment has been "coded" with a unique category value) and for the ridges within a given watershed. The raster map layer depicting ridges should include the ridge which defines the perimeter of the watershed. The coded stream network can be generated as part of the r.watershed program, but the map layer of ridges will need to be created by hand (for example, through digitizing done in v.digit).

The resulting output raster map layer will code the subbasins with category values matching those of the channel segments passing through them. A user-supplied number of passes through the data is made in an attempt to fill in these subbasins. If the resulting map layer from this program appears to have holes within a subbasin, the program should be rerun with a higher number of passes.

## NOTES

The current geographic region setting is ignored. Instead, the geographic region for the entire input stream's map layer is used.

## SEE ALSO

See Appendix A of the GRASS Tutorial: r.watershed for further details on the combined use of r.basins.fill and r.watershed. r.watershed, v.digit

## AUTHORS

Dale White, Dept. of Geography, Pennsylvania State University
Larry Band, Dept. of Geography, University of Toronto, Canada

Last changed: $Date: 2010-09-16 09:25:59 +0200 (čt, 16 IX 2010) $

Main index - raster index - Full index

© 2003-2014 GRASS Development Team